%global debug_package %{nil}

Name:           nlohmann-json
Version:        3.11.2
Release:        2
Summary:        JSON for Modern C++
License:        MIT
URL:            https://github.com/nlohmann/json
Source0:        v%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

%description
JSON for Modern C++

%package        devel
Summary:        Development files for nlohmann-json
Requires:       %{name} = %{version}-%{release}

%description    devel
The devel package contains development files for nlohmann-json.
It provides header files and libraries for nlohmann-json.

%prep
%autosetup -p1 -n json-%{version}

%build
mkdir build && cd build
cmake \
	-DJSON_Install=ON \
	-DCMAKE_INSTALL_PREFIX="/usr" \
	-DCMAKE_INSTALL_DATADIR="%{_libdir}" \
	..
make

%install
%make_install -C build

%files
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/*

%changelog
* Fri Dec 15 2023 davidhan008 <619409713@qq.com> - 3.11.2-2
- Add cmake depence
* Wed May 3 2023 will_niutao <niutao2@huawei.com> - 3.11.2-1
- Init for openEuler
